(in-package :http)

(add-lispweb-service :java
		     :description "Support for serving JAVA(tm) applets.")

(defvar *http-applet-table* nil)

(defun register-java-applet (name path)
  (setq *http-applet-table*
    (add-obj *http-applet-table* name path)))

(defun register-java-package (name path)
  (register-java-applet name path))

#|
e.g. (register-java-package "/johnd/javadraw/" "/johnd/")
|#

(defun applet-path (name &aux match)
  (let ((len (length name)))
    (mapc #'(lambda (pair)
              (setq match (length (car pair)))
	      (when (and (>= len match)
			 (string= (subseq name 0 match) (Car pair)))
		(return-from applet-path
		  (let ((true-path (merge-pathnames (subseq name match) (cdr pair))))
                    (format nil "/class~a" true-path)))))
          *http-applet-table*)
    nil))

#|
  (concatenate 'string 
    "/class"
    (or (cdr (assoc name *http-applet-table* :test #'string=))
	"")))
|#