(def-class multiply-goal
           (goal)
           ?goal
           ((has-input-role :value input1 :value input2)
            (has-input-soap-binding
             :value
             (input1 "sexpr")
             :value
             (input2 "sexpr"))
            (has-output-role :value output1)
            (has-output-soap-binding :value (output1 "string"))
            (input1 :type number)
            (input2 :type number)
            (output1 :type number)))

(def-class multiply-mediator
           (wg-mediator)
           ?mediator
           ((has-source-component :value multiply-goal)
            (has-target-component :value foo)))

(def-class multiply-web-service (web-service)
  ((ocml::has-capability :value ocml::multiply-capability)
   (has-interface :value multiply-web-service-interface)))

(def-class multiply-capability (capability)
  ((used-mediator :value multiply-mediator)))

(def-class b-web-service
           (web-service)
           ?web-service
           ((has-capability :value b-web-service-capability)
            (has-interface :value b-web-service-interface)
            (has-non-functional-properties
             :value
             b-web-service-non-func-props)))

(def-class b-web-service-interface
           (capability)
           ?interface
           ((has-choreography :value b-web-service-choreography)
            (has-orchestration :value b-web-service-orchestration)))

(def-class b-mediator
           (wg-mediator)
           ?mediator
           ((used-mediator :value test-used-mediator)
            (has-source-component :value test-source)
            (has-target-component :value test-target)
            (has-mediation-service :value test-mediation-service)
            (has-reduction :value test-reduction)))
