;;; Mode: Lisp; Package: ocml

;;; File created in WebOnto

(in-package "OCML")

(in-ontology wsmo-test)






(DEF-CLASS MULTIPLY-GOAL-NON-FUNCTIONAL-PROPERTIES
           (NON-FUNCTIONAL-PROPERTIES)
           NIL)

(DEF-CLASS MULTIPLY-GOAL
           (GOAL)
           ?GOAL
           ((HAS-INPUT-ROLE :VALUE HAS-OPERAND1 :VALUE HAS-OPERAND2)
            (HAS-INPUT-SOAP-BINDING
             :VALUE
             (HAS-OPERAND1 "sexpr")
             :VALUE
             (HAS-OPERAND2 "sexpr"))
            (HAS-OUTPUT-ROLE :VALUE HAS-MULTIPLY-OUTPUT)
            (HAS-OUTPUT-SOAP-BINDING
             :VALUE
             (HAS-MULTIPLY-OUTPUT "sexpr"))
            (HAS-OPERAND1 :TYPE INTEGER)
            (HAS-OPERAND2 :TYPE INTEGER)
            (HAS-MULTIPLY-OUTPUT :TYPE INTEGER)
            (HAS-NON-FUNCTIONAL-PROPERTIES
             :VALUE
             MULTIPLY-GOAL-NON-FUNCTIONAL-PROPERTIES)))

(DEF-CLASS MULTIPLY-WEB-SERVICE-NON-FUNCTIONAL-PROPERTIES
           (NON-FUNCTIONAL-PROPERTIES)
           NIL)

(DEF-CLASS MULTIPLY-WEB-SERVICE
           (WEB-SERVICE)
           ?WEB-SERVICE
           ((HAS-CAPABILITY :VALUE MULTIPLY-WEB-SERVICE-CAPABILITY)
            (HAS-INTERFACE :VALUE MULTIPLY-WEB-SERVICE-INTERFACE)
            (HAS-NON-FUNCTIONAL-PROPERTIES
             :VALUE
             MULTIPLY-WEB-SERVICE-NON-FUNCTIONAL-PROPERTIES)))

(DEF-CLASS MULTIPLY-WEB-SERVICE-CAPABILITY-NON-FUNCTIONAL-PROPERTIES
           (NON-FUNCTIONAL-PROPERTIES)
           NIL)

(DEF-CLASS MULTIPLY-WEB-SERVICE-CAPABILITY
           (CAPABILITY)
           ?CAPABILITY
           ((USED-MEDIATOR :VALUE MULTIPLY-MEDIATOR)
            (HAS-NON-FUNCTIONAL-PROPERTIES
             :VALUE
             MULTIPLY-WEB-SERVICE-CAPABILITY-NON-FUNCTIONAL-PROPERTIES)))

(DEF-CLASS MULTIPLY-WEB-SERVICE-INTERFACE-NON-FUNCTIONAL-PROPERTIES
           (NON-FUNCTIONAL-PROPERTIES)
           NIL)

(DEF-CLASS MULTIPLY-WEB-SERVICE-INTERFACE-CHOREOGRAPHY
           (CHOREOGRAPHY)
           ((HAS-GROUNDING
             :VALUE
             ((GROUNDED-TO-LISP (NORMAL MULTIPLY))))))

(DEF-CLASS MULTIPLY-WEB-SERVICE-INTERFACE-ORCHESTRATION-PROBLEM-SOLVING-PATTERN
           (PROBLEM-SOLVING-PATTERN)
           NIL)

(DEF-CLASS MULTIPLY-WEB-SERVICE-INTERFACE-ORCHESTRATION
           (ORCHESTRATION)
           ((HAS-PROBLEM-SOLVING-PATTERN
             :VALUE
             MULTIPLY-WEB-SERVICE-INTERFACE-ORCHESTRATION-PROBLEM-SOLVING-PATTERN)))

(DEF-CLASS MULTIPLY-WEB-SERVICE-INTERFACE
           (INTERFACE)
           ?INTERFACE
           ((HAS-CHOREOGRAPHY
             :VALUE
             MULTIPLY-WEB-SERVICE-INTERFACE-CHOREOGRAPHY)
            (HAS-ORCHESTRATION
             :VALUE
             MULTIPLY-WEB-SERVICE-INTERFACE-ORCHESTRATION)
            (HAS-NON-FUNCTIONAL-PROPERTIES
             :VALUE
             MULTIPLY-WEB-SERVICE-INTERFACE-NON-FUNCTIONAL-PROPERTIES)))

(DEF-CLASS MULTIPLY-MEDIATOR-NON-FUNCTIONAL-PROPERTIES
           (NON-FUNCTIONAL-PROPERTIES)
           NIL)

(DEF-CLASS MULTIPLY-MEDIATOR
           (WG-MEDIATOR)
           ?MEDIATOR
           ((HAS-SOURCE-COMPONENT :VALUE MULTIPLY-GOAL)
            (HAS-TARGET-COMPONENT :VALUE MULTIPLY-WEB-SERVICE)
            (HAS-NON-FUNCTIONAL-PROPERTIES
             :VALUE
             MULTIPLY-MEDIATOR-NON-FUNCTIONAL-PROPERTIES)))

(DEF-CLASS MULTIPLY-WEB-SERVICE-PUBLISHER-INFORMATION
           (PUBLISHER-INFORMATION)
           ((HAS-ASSOCIATED-WEB-SERVICE-INTERFACE
             :VALUE
             MULTIPLY-WEB-SERVICE-INTERFACE)
            (HAS-WEB-SERVICE-HOST :VALUE "137.108.24.200")
            (HAS-WEB-SERVICE-PORT :VALUE 3001)
            (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")))

(DEF-CLASS MULTIPLY-GOAL2-NON-FUNCTIONAL-PROPERTIES
           (NON-FUNCTIONAL-PROPERTIES)
           NIL)

(DEF-CLASS MULTIPLY-GOAL2
           (MULTIPLY-GOAL)
           ?GOAL
           ((HAS-NON-FUNCTIONAL-PROPERTIES
             :VALUE
             MULTIPLY-GOAL2-NON-FUNCTIONAL-PROPERTIES)))