package org.infrawebs.axiom.editor.actions;

import org.eclipse.gef.Request;
import org.eclipse.gef.editparts.AbstractEditPart;
import org.eclipse.gef.requests.DirectEditRequest;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.IWorkbenchPart;
import org.infrawebs.axiom.model.VariableModel;

public class RenameAction extends AxiomAction
{
	public RenameAction(IWorkbenchPart part) {
		super(part);
	}

	@Override
	public boolean calculateVisible() {
		return (getSelectedModel() instanceof VariableModel);
	}
	
	@Override
	public void run() {
		if (!calculateEnabled()) {
			return;
		}
		AbstractEditPart part = this.getSelectedEditPart();
		Request req = new DirectEditRequest();
		part.performRequest(req);
	}

	@Override
	protected String getCaption() {
		return "Rename...";
	}

	@Override
	protected Image getImage() {
		return null;
	}

}
