package org.infrawebs.axiom.editor.actions.operators;

import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.IWorkbenchPart;
import org.infrawebs.axiom.operations.SemanticConsistence;
import org.infrawebs.ontology.ui.OntoImages;

public class AddOperandDefaultTypeValueInstanceAction extends AddOperandDefaultTypeAction
{
	public AddOperandDefaultTypeValueInstanceAction(IWorkbenchPart part) {
		super(part);
	}

	@Override
	public boolean calculateVisible() {
		// Show action only for refinables of WSML built-in types and their subtypes.
		return super.calculateVisible() && SemanticConsistence.isValueType(this.chainOrigin);
	}
	
	@Override
	protected String getCaption() {
		return "Add a default type value instance operand";
	}

	@Override
	protected Image getImage() {
		return OntoImages.getImage(OntoImages.INSTANCE);
	}

}
