package org.infrawebs.axiom.editor.figures;

import org.eclipse.draw2d.*;
import org.eclipse.draw2d.geometry.*;

public class RefinableFigure extends Label
{
	private static final Dimension minimumSize = new Dimension(0, 0);
	private String prefix = null;
	
	public RefinableFigure(String prefix) {
		this.prefix = prefix;
	}
	
	public void setSuffix(String suffix) {
		setLabelAlignment(PositionConstants.LEFT);
		String txt = this.prefix + " " + suffix;
		setText(txt);
	}
	
	@Override
	public Dimension getMinimumSize(int w, int h) {
		return minimumSize;
	}

}
