package org.infrawebs.axiom.model;


public class AxiomContentsModel extends ContainerModel
{
	private static final long serialVersionUID = 200512242100L;

	private VarNameList varNameListModel = new VarNameList();
	private AxiomRootModel axiomRootModel = null;
	private transient ModelFactory factory = null;

	public AxiomContentsModel(String axiomName) {
		this.axiomRootModel = new AxiomRootModel(this, axiomName);
		this.getChildren().add(this.axiomRootModel);
	}

	public VarNameList getVarNameList() {
		return this.varNameListModel;
	}

	public AxiomRootModel getAxiomRoot() {
		return this.axiomRootModel;
	}

	public ModelFactory getFactory() {
		// The factory is created on demand because it is not serialized.
		if (this.factory == null) {
			this.factory = new ModelFactory(this);
		}
		return this.factory;
	}

}
