package org.infrawebs.axiom.outline.editparts;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.infrawebs.axiom.model.AxiomRootModel;
import org.infrawebs.axiom.model.ModelWithConnections;
import org.infrawebs.ontology.ui.OntoImages;

public class AxiomRootTreeEditPart extends TreeEditPartWithConnections
{
	@Override
	protected void refreshVisuals() {
		//AxiomRootModel model = (AxiomRootModel)getModel();
		setWidgetText("(start)");
		setWidgetImage(OntoImages.getImage(OntoImages.SPHERE));
	}

	// The AxiomRootModel should have exactly 1 child. 
	@Override
	protected List getModelChildren() {
		ModelWithConnections top = ((AxiomRootModel)getModel()).getTopModel();
		if (top == null) {
			return Collections.EMPTY_LIST;
		}
		List<ModelWithConnections> modelChildren = new ArrayList<ModelWithConnections>();
		modelChildren.add(top);
		return modelChildren;
	}

}