(in-package :http)

(defun machine-ip-address ()
  (comm:ip-address-string 
   (comm:get-host-entry (machine-instance) :fields '(:address))))

(defun machine-address ()
  (comm:get-host-entry (machine-instance) :fields '(:name)))

(defun machine-domain ()
  (let ((machine-address (machine-address)))
    (if (zerop (length machine-address))
        ""
      (subseq machine-address (1+ (length (machine-instance)))))))