;;; Mode: Lisp; Package: ocml

;;; File created in WebOnto

(in-package "OCML")

(in-ontology wsmo-use-case)



(def-class buy-train-ticket-service-interface (interface)
  ((has-choreography :value buy-train-ticket-service-choreography)))

(def-class buy-train-ticket-service-choreography
           (choreography)
           ((has-web-service-host :value "137.108.24.227")
            (has-web-service-port :value 3001)
            (has-web-service-location :value "/soap")
            (has-lisp-function :value book-english-train-journey)))

(def-class french-buy-train-ticket-service-interface (interface)
  ((has-choreography :value french-buy-train-ticket-service-choreography)))

(DEF-CLASS FRENCH-BUY-TRAIN-TICKET-SERVICE-CHOREOGRAPHY
           (CHOREOGRAPHY)
           ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
            (HAS-WEB-SERVICE-PORT :VALUE 3001)
            (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
            (HAS-OPERATION-IO-MAPPING :VALUE (NIL))
            (HAS-LISP-FUNCTION :VALUE BOOK-FRENCH-TRAIN-JOURNEY)))

(def-class europe-student-buy-train-ticket-service-interface (interface)
  ((has-choreography :value europe-student-buy-train-ticket-service-choreography)))

(DEF-CLASS EUROPE-STUDENT-BUY-TRAIN-TICKET-SERVICE-CHOREOGRAPHY
           (CHOREOGRAPHY)
           ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
            (HAS-WEB-SERVICE-PORT :VALUE 3001)
            (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
            (HAS-OPERATION-IO-MAPPING :VALUE (NIL))
            (HAS-LISP-FUNCTION
             :VALUE
             BOOK-STUDENT-EUROPEAN-TRAIN-JOURNEY)))

(def-class europe-business-buy-train-ticket-service-interface (interface)
  ((has-choreography :value europe-business-buy-train-ticket-service-choreography)))

(DEF-CLASS EUROPE-BUSINESS-BUY-TRAIN-TICKET-SERVICE-CHOREOGRAPHY
           (CHOREOGRAPHY)
           ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
            (HAS-WEB-SERVICE-PORT :VALUE 3001)
            (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
            (HAS-OPERATION-IO-MAPPING :VALUE (NIL))
            (HAS-LISP-FUNCTION
             :VALUE
             BOOK-BUSINESS-EUROPEAN-TRAIN-JOURNEY)))

(def-class german-buy-train-ticket-service-interface (interface)
  ((has-choreography :value german-buy-train-ticket-service-choreography217840)))

(DEF-CLASS GERMAN-BUY-TRAIN-TICKET-SERVICE-CHOREOGRAPHY
           (CHOREOGRAPHY)
           ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
            (HAS-WEB-SERVICE-PORT :VALUE 3001)
            (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
            (HAS-LISP-FUNCTION :VALUE BOOK-GERMAN-TRAIN-JOURNEY)))

(def-class austrian-buy-train-ticket-service-interface (interface)
  ((has-choreography :value austrian-buy-train-ticket-service-choreography218882)))

(DEF-CLASS AUSTRIAN-BUY-TRAIN-TICKET-SERVICE-CHOREOGRAPHY
           (CHOREOGRAPHY)
           ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
            (HAS-WEB-SERVICE-PORT :VALUE 3001)
            (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
            (HAS-LISP-FUNCTION :VALUE BOOK-AUSTRIAN-TRAIN-JOURNEY)))

(def-class english-buy-train-ticket-service-interface (interface)
  ((has-choreography :value english-buy-train-ticket-service-choreography)))

(DEF-CLASS ENGLISH-BUY-TRAIN-TICKET-SERVICE-CHOREOGRAPHY
           (CHOREOGRAPHY)
           ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
            (HAS-WEB-SERVICE-PORT :VALUE 3001)
            (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
            (HAS-OPERATION-IO-MAPPING :VALUE (NIL))
            (HAS-LISP-FUNCTION :VALUE BOOK-ENGLISH-TRAIN-JOURNEY)))

(def-class get-train-timetable-service-interface (interface)
  ((has-choreography :value get-train-timetable-service-choreography)))

(DEF-CLASS GET-TRAIN-TIMETABLE-SERVICE-CHOREOGRAPHY
           (CHOREOGRAPHY)
           ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
            (HAS-WEB-SERVICE-PORT :VALUE 3001)
            (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
            (HAS-OPERATION-IO-MAPPING :VALUE (NIL))
            (HAS-LISP-FUNCTION :VALUE GET-TRAIN-TIMES)))

(def-class universal-time-buy-train-ticket-mediation-service-interface (interface)
  ((has-choreography :value universal-time-buy-train-ticket-mediation-service-choreography)))

(DEF-CLASS UNIVERSAL-TIME-BUY-TRAIN-TICKET-MEDIATION-SERVICE-CHOREOGRAPHY
           (CHOREOGRAPHY)
           ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
            (HAS-WEB-SERVICE-PORT :VALUE 3001)
            (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
            (HAS-OPERATION-IO-MAPPING :VALUE (NIL))
            (HAS-LISP-FUNCTION :VALUE MEDIATE-TIME)))

#|
(has-operation-IO-mapping 
    :VALUE
    (NORMAL 
     ((HAS-PERSON "sexpr")
      (HAS-DEPARTURE-STATION "sexpr")
      (HAS-DESTINATION-STATION "sexpr")
      (HAS-DATE-AND-TIME "sexpr")
      (HAS-PROFESSOR-UPGRADE "sexpr"))
     "string")
    :VALUE
    (FIRST-CLASS-UPGRADE
     ((HAS-PERSON "sexpr")
      (HAS-DEPARTURE-STATION "sexpr")
      (HAS-DESTINATION-STATION "sexpr")
      (HAS-DATE-AND-TIME "sexpr")
      (HAS-PROFESSOR-UPGRADE "sexpr"))
     "string"))


(DEF-CLASS GERMAN-BUY-TRAIN-TICKET-SERVICE-CHOREOGRAPHY217840
  (CHOREOGRAPHY)
  ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
   (HAS-WEB-SERVICE-PORT :VALUE 3001)
   (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
   (HAS-MESSAGE-EXCHANGE-PATTERN
    :VALUE
    GERMAN-BUY-TRAIN-TICKET-MESSAGE-EXCHANGE-PATTERN)
   (HAS-OPERATION-IO-MAPPING 
    :VALUE
    (NORMAL 
     ((HAS-PERSON "sexpr")
      (HAS-DEPARTURE-STATION "sexpr")
      (HAS-DESTINATION-STATION "sexpr")
      (HAS-DATE-AND-TIME "sexpr")
      (HAS-PROFESSOR-UPGRADE "sexpr"))
     "string")
    :VALUE
    (FIRST-CLASS-UPGRADE
     ((HAS-PERSON "sexpr")
      (HAS-DEPARTURE-STATION "sexpr")
      (HAS-DESTINATION-STATION "sexpr")
      (HAS-DATE-AND-TIME "sexpr")
      (HAS-PROFESSOR-UPGRADE "sexpr"))
     "string"))
   (HAS-LISP-FUNCTION :VALUE BOOK-GERMAN-TRAIN-JOURNEY)))
|#

#|

(def-class GERMAN-BUY-TRAIN-TICKET-SERVICE-grounding
  (service-grounding)
  ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
   (HAS-WEB-SERVICE-PORT :VALUE 3001)
   (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")))

   (has-guarded-transitions
    :value

    ((transition1 (init-choreography ?run-number)
                 then
                 (simple-invoke-web-service-from-choreography 'normal ?run-number))

    (transition2 
     (operation-input normal ?input-role-value-pairs ?run-number)
     (operation-output normal ?result ?run-number)
     then
     (booking-has-professor-upgrade ?result ?response)
     (upgrade-class ?response)
     (simple-invoke-web-service-from-choreography-with-new-input-role-pairs
      'first-class-upgrade (append '?input-role-value-pairs '((HAS-PROFESSOR-UPGRADE T)))
      ?run-number)
     (end-choreography ))))


|#


(DEF-CLASS GERMAN-BUY-TRAIN-TICKET-SERVICE-CHOREOGRAPHY217840
  (CHOREOGRAPHY)
  ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
   (HAS-WEB-SERVICE-PORT :VALUE 3001)
   (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
   (HAS-MESSAGE-EXCHANGE-PATTERN
    :VALUE
    (GERMAN-BUY-TRAIN-TICKET-MESSAGE-EXCHANGE-PATTERN))
   (HAS-OPERATION-IO-MAPPING
    :VALUE
    ((FIRST-CLASS-UPGRADE
      ((HAS-PERSON "sexpr")
       (HAS-DEPARTURE-STATION "sexpr")
       (HAS-DESTINATION-STATION "sexpr")
       (HAS-DATE-AND-TIME "sexpr")
       (HAS-PROFESSOR-UPGRADE "sexpr"))
      "string")
     (NORMAL
      ((HAS-PERSON "sexpr")
       (HAS-DEPARTURE-STATION "sexpr")
       (HAS-DESTINATION-STATION "sexpr")
       (HAS-DATE-AND-TIME "sexpr"))
      "string")))
            
   (has-guarded-transitions
    :value

    ((transition1 (init-choreography ?run-number)
                  then
                  (simple-invoke-web-service-from-choreography 'normal ?run-number))

     (transition2 
      (operation-input normal ?input-role-value-pairs ?run-number)
      (operation-output normal ?result ?run-number)
      then
      (booking-has-professor-upgrade ?result ?response)
      (upgrade-class ?response)
      (simple-invoke-web-service-from-choreography-with-new-input-role-pairs
       'first-class-upgrade (append '?input-role-value-pairs '((HAS-PROFESSOR-UPGRADE T)))
       ?run-number)
      (end-choreography ?run-number))))
   (HAS-LISP-FUNCTION
    :VALUE
    BOOK-PROFESSOR-GERMAN-TRAIN-JOURNEY)))

(DEF-CLASS AUSTRIAN-BUY-TRAIN-TICKET-SERVICE-CHOREOGRAPHY218882
           (CHOREOGRAPHY)
           ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
            (HAS-WEB-SERVICE-PORT :VALUE 3001)
            (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
            (HAS-OPERATION-IO-MAPPING :VALUE (NIL))
            (HAS-LISP-FUNCTION :VALUE BOOK-AUSTRIAN-TRAIN-JOURNEY)))

#|
(def-guarded-transition GERMAN-BUY-TRAIN-TICKET-rule
  GERMAN-BUY-TRAIN-TICKET-SERVICE-CHOREOGRAPHY217840
  "Choreography for german buy train ticket"
  (init-choreography ?run-number)
  then
  (simple-invoke-web-service-from-choreography 'normal ?run-number))
|#

(def-relation GERMAN-BUY-TRAIN-TICKET-upgrade-professor-rule (?choreography ?result))

(def-relation booking-has-professor-upgrade (?string-result ?upgrade-response)
  :prove-by
  (= ?upgrade-response (booking-has-professor-upgrade-response-fun ?string-result)))

(def-function booking-has-professor-upgrade-response-fun (?string-result)
  :lisp-fun
  #'(lambda (string-result)
        (if (string= (string-trim '(#\space #\tab #\return #\linefeed) string-result) 
                     "Free Professor Upgrade Available")
            'professor-upgrade
          'no-upgrade)))

(def-class upgrade-class ())

(def-instance professor-upgrade upgrade-class)

#|
(def-guarded-transition GERMAN-BUY-TRAIN-TICKET-upgrade-professor-rule
  GERMAN-BUY-TRAIN-TICKET-SERVICE-CHOREOGRAPHY217840
  "Choreography for german buy train ticket - upgrade a professor"
  (operation-input normal ?input-role-value-pairs ?run-number)
  (operation-output normal ?result ?run-number)
  then
  (booking-has-professor-upgrade ?result ?response)
  (upgrade-class ?response)
  (simple-invoke-web-service-from-choreography-with-new-input-role-pairs
   'first-class-upgrade (append '?input-role-value-pairs '((HAS-PROFESSOR-UPGRADE T)))
   ?run-number)
  (end-choreography))
|#


(def-class german-buy-train-ticket-service-with-professor-upgrade-interface (interface)
  ((has-choreography :value german-buy-train-ticket-service-with-professor-upgrade-choreography)))

(DEF-CLASS GERMAN-BUY-TRAIN-TICKET-SERVICE-WITH-PROFESSOR-UPGRADE-CHOREOGRAPHY
           (CHOREOGRAPHY)
           ((HAS-WEB-SERVICE-HOST :VALUE "137.108.24.227")
            (HAS-WEB-SERVICE-PORT :VALUE 3001)
            (HAS-WEB-SERVICE-LOCATION :VALUE "/soap")
            (HAS-LISP-FUNCTION :VALUE BOOK-GERMAN-TRAIN-JOURNEY)))