;;; Mode: Lisp; Package: ocml

;;; File created in WebOnto

(in-package "OCML")

(in-ontology fast-arthritis-diagnosis-psm)

#|
(def-class arthritis-diagnosis-psm  (primitive-method) ?psm
  ((has-input-role :value patient-observables)
   (has-output-role :value diagnosis)
   (patient-observables :type list)
   (diagnosis :type list)
   (has-postcondition
    :value (kappa (?psm ?sol)
                  (list ?sol))))
  :own-slots ((tackles-task-type arthritis-diagnosis)))
|#

(def-class arthritis-diagnosis-psm  (primitive-method) ?psm
  ((has-input-role :value observable1 
                   :value observable2 
                   :value observable3 
                   :value observable4)
   (has-output-role :value diagnosis)
   (observable1 :type symbol)
   (observable2 :type symbol)
   (observable3 :type symbol)
   (observable4 :type symbol)
   (diagnosis :type list)
   (has-postcondition
    :value (kappa (?psm ?sol)
                  (list ?sol))))
  :own-slots ((tackles-task-type arthritis-diagnosis)))
