;;; Mode: Lisp; Package: ocml

;;; File created in WebOnto

(in-package "OCML")

(in-ontology magpie-psm-ontology)


(def-class magpie-psm  (primitive-method) ?psm
  ((has-input-role :value input-item)
   (has-output-role :value html-result-page)
   (input-item :type thing)
   (html-result-page :type html-page))
   :own-slots
   ((tackles-task-type magpie-task)))

(def-class magpie-trigger-psm  (primitive-method) ?psm
  ((has-input-role :value semantic-log-expression)
   (has-output-role :value trigger-service-output)
   (semantic-log-expression :type expression)
   (trigger-service-output :type rdf))
   :own-slots
   ((tackles-task-type magpie-trigger-task)))