package org.infrawebs.axiom.editor.actions.operators;

import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.IWorkbenchPart;
import org.infrawebs.axiom.operations.SemanticConsistence;
import org.infrawebs.axiom.settings.ImageSettings;

public class AddOperandDefaultTypeVariableAction extends AddOperandDefaultTypeAction
{
	public AddOperandDefaultTypeVariableAction(IWorkbenchPart part) {
		super(part);
	}

	@Override
	public boolean calculateVisible() {
		// Show action only for refinables of complex types.
		return super.calculateVisible() && !SemanticConsistence.isValueType(this.chainOrigin);
	}

	@Override
	protected String getCaption() {
		return "Add a default type variable operand";
	}

	@Override
	protected Image getImage() {
		return ImageSettings.getImage(ImageSettings.VARIABLE);
	}

}
