package org.infrawebs.axiom.editor.editparts;

import org.infrawebs.axiom.model.RefinableModel;
import org.infrawebs.ontology.shells.AttributeShell;

public class AttributeEditPart extends RefinableEditPart
{
	@Override
	protected int getImageIndexEnabled() {
		RefinableModel refinable = (RefinableModel)getModel();
		AttributeShell attrInfo = (AttributeShell)refinable.getRefinable();
		return attrInfo.getInheritanceType(); 
	}

	@Override
	protected int getImageIndexDisabled() {
		RefinableModel refinable = (RefinableModel)getModel();
		AttributeShell attrInfo = (AttributeShell)refinable.getRefinable();
		// The next image shows the disabled state.
		return attrInfo.getInheritanceType() + 1;
	}

}
