package org.infrawebs.axiom.logexpr;

import java.util.List;

import org.omwg.logicalexpression.LogicalExpression;
import org.omwg.ontology.Ontology;

public class LEShell
{
	private String axiomName = null;
	private String identifier = null;
	private LogicalExpression logicalExpression = null;
	private List<Ontology> importedOntos = null;

	public LEShell(String axiomName, String identifier,
			LogicalExpression logicalExpression, List<Ontology> importedOntos) {
		this.axiomName = axiomName;
		this.identifier = identifier;
		this.logicalExpression = logicalExpression;
		this.importedOntos = importedOntos;
	}

	public String getAxiomName() {
		return this.axiomName;
	}

	public String getIdentifier() {
		return this.identifier;
	}

	public LogicalExpression getLogicalExpression() {
		return this.logicalExpression;
	}

	public List<Ontology> listImportedOntos() {
		return this.importedOntos;
	}
}
