package org.infrawebs.common;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.widgets.Shell;

public final class Messages
{
	private Messages() {
		// Hide the constructor of this pure static class.
	}

	private static Shell getShell() {
		//return AxiomEditorPlugin.getDefault().getWorkbench().
		//		getActiveWorkbenchWindow().getShell();
		return null;
	}

	public static void showError(String message) {
		MessageDialog.openError(getShell(), "Error", message);
	}

	public static void showWarning(String message) {
		MessageDialog.openWarning(getShell(), "Warning", message);
	}

	public static void showInformation(String message) {
		MessageDialog.openInformation(getShell(), "Information", message);
	}

	public static boolean showConfirm(String message) {
		return MessageDialog.openConfirm(getShell(), "Confirm", message);
	}
	
	public static boolean showQuestion(String message) {
		return MessageDialog.openQuestion(getShell(), "Question", message);
	}
	
}
